## Standard Enumerations Standard Enumerations — Public enumerated types used throughout GTK+ |

## Types and Values

enum | GtkBaselinePosition
enum | GtkDeleteType
enum | GtkDirectionType
enum | GtkJustification
enum | GtkMovementStep
enum | GtkOrientation
enum | GtkPackType
enum | GtkPositionType
enum | GtkScrollStep
enum | GtkScrollType
enum | GtkSelectionMode
enum | GtkStateFlags
enum | GtkSortType
enum | GtkIconSize

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

## Types and Values

### enum GtkBaselinePosition

Whenever a container has some form of natural row it may align children in that row along a common typographical baseline. If the amount of verical space in the row is taller than the total requested height of the baseline-aligned children then it can use a GtkBaselinePosition to select where to put the baseline inside the extra availible space.

#### Members

GTK_BASELINE_POSITION_TOP | Align the baseline at the top |
GTK_BASELINE_POSITION_CENTER | Center the baseline |
GTK_BASELINE_POSITION_BOTTOM | Align the baseline at the bottom |

### enum GtkDeleteType

See also: “delete-from-cursor”.

#### Members

GTK_DELETE_CHARS | Delete characters. |
GTK_DELETE_WORD_ENDS | Delete only the portion of the word to the left/right of cursor if we’re in the middle of a word. |
GTK_DELETE_WORDS | Delete words. |
GTK_DELETE_DISPLAY_LINES | Delete display-lines. Display-lines refers to the visible lines, with respect to to the current line breaks. As opposed to paragraphs, which are defined by line breaks in the input. |
GTK_DELETE_DISPLAY_LINE_ENDS | Delete only the portion of the display-line to the left/right of cursor. |
GTK_DELETE_PARAGRAPH_ENDS | Delete to the end of the paragraph. Like C-k in Emacs (or its reverse). |
GTK_DELETE_PARAGRAPHS | Delete entire line. Like C-k in pico. |
GTK_DELETE_WHITESPACE | Delete only whitespace. Like M-\ in Emacs. |

### enum GtkDirectionType

Focus movement types.

#### Members

GTK_DIR_TAB_FORWARD | Move forward. |
GTK_DIR_TAB_BACKWARD | Move backward. |
GTK_DIR_UP | Move up. |
GTK_DIR_DOWN | Move down. |
GTK_DIR_LEFT | Move left. |
GTK_DIR_RIGHT | Move right. |

### enum GtkJustification

Used for justifying the text inside a GtkLabel widget. (See also GtkAlignment).

#### Members

GTK_JUSTIFY_LEFT | The text is placed at the left edge of the label. |
GTK_JUSTIFY_RIGHT | The text is placed at the right edge of the label. |
GTK_JUSTIFY_CENTER | The text is placed in the center of the label. |
GTK_JUSTIFY_FILL | The text is placed is distributed across the label. |

### enum GtkMovementStep

#### Members

GTK_MOVEMENT_LOGICAL_POSITIONS | Move forward or back by graphemes |
GTK_MOVEMENT_VISUAL_POSITIONS | Move left or right by graphemes |
GTK_MOVEMENT_WORDS | Move forward or back by words |
GTK_MOVEMENT_DISPLAY_LINES | Move up or down lines (wrapped lines) |
GTK_MOVEMENT_DISPLAY_LINE_ENDS | Move to either end of a line |
GTK_MOVEMENT_PARAGRAPHS | Move up or down paragraphs (newline-ended lines) |
GTK_MOVEMENT_PARAGRAPH_ENDS | Move to either end of a paragraph |
GTK_MOVEMENT_PAGES | Move by pages |
GTK_MOVEMENT_BUFFER_ENDS | Move to ends of the buffer |
GTK_MOVEMENT_HORIZONTAL_PAGES | Move horizontally by pages |

### enum GtkOrientation

Represents the orientation of widgets and other objects which can be switched between horizontal and vertical orientation on the fly, like GtkBox or GtkGesturePan.

#### Members

GTK_ORIENTATION_HORIZONTAL | The element is in horizontal orientation. |
GTK_ORIENTATION_VERTICAL | The element is in vertical orientation. |

### enum GtkPackType

Represents the packing location GtkBox children

#### Members

GTK_PACK_START | The child is packed into the start of the box |
GTK_PACK_END | The child is packed into the end of the box |

### enum GtkPositionType

Describes which edge of a widget a certain feature is positioned at, e.g. the tabs of a GtkNotebook, the handle of a GtkHandleBox or the label of a GtkScale.

#### Members

GTK_POS_LEFT | The feature is at the left edge. |
GTK_POS_RIGHT | The feature is at the right edge. |
GTK_POS_TOP | The feature is at the top edge. |
GTK_POS_BOTTOM | The feature is at the bottom edge. |

### enum GtkScrollStep

#### Members

GTK_SCROLL_STEPS | Scroll in steps. |
GTK_SCROLL_PAGES | Scroll by pages. |
GTK_SCROLL_ENDS | Scroll to ends. |
GTK_SCROLL_HORIZONTAL_STEPS | Scroll in horizontal steps. |
GTK_SCROLL_HORIZONTAL_PAGES | Scroll by horizontal pages. |
GTK_SCROLL_HORIZONTAL_ENDS | Scroll to the horizontal ends. |

### enum GtkScrollType

Scrolling types.

#### Members

GTK_SCROLL_NONE | No scrolling. |
GTK_SCROLL_JUMP | Jump to new location. |
GTK_SCROLL_STEP_BACKWARD | Step backward. |
GTK_SCROLL_STEP_FORWARD | Step forward. |
GTK_SCROLL_PAGE_BACKWARD | Page backward. |
GTK_SCROLL_PAGE_FORWARD | Page forward. |
GTK_SCROLL_STEP_UP | Step up. |
GTK_SCROLL_STEP_DOWN | Step down. |
GTK_SCROLL_PAGE_UP | Page up. |
GTK_SCROLL_PAGE_DOWN | Page down. |
GTK_SCROLL_STEP_LEFT | Step to the left. |
GTK_SCROLL_STEP_RIGHT | Step to the right. |
GTK_SCROLL_PAGE_LEFT | Page to the left. |
GTK_SCROLL_PAGE_RIGHT | Page to the right. |
GTK_SCROLL_START | Scroll to start. |
GTK_SCROLL_END | Scroll to end. |

### enum GtkSelectionMode

Used to control what selections users are allowed to make.

#### Members

GTK_SELECTION_NONE | No selection is possible. |
GTK_SELECTION_SINGLE | Zero or one element may be selected. |
GTK_SELECTION_BROWSE | Exactly one element is selected. In some circumstances, such as initially or during a search operation, it’s possible for no element to be selected with `GTK_SELECTION_BROWSE`. What is really enforced is that the user can’t deselect a currently selected element except by selecting another element. |
GTK_SELECTION_MULTIPLE | Any number of elements may be selected. The Ctrl key may be used to enlarge the selection, and Shift key to select between the focus and the child pointed to. Some widgets may also allow Click-drag to select a range of elements. |

### enum GtkStateFlags

Describes a widget state. Widget states are used to match the widget against CSS pseudo-classes. Note that GTK extends the regular CSS classes and sometimes uses different names.

#### Members

GTK_STATE_FLAG_NORMAL | State during normal operation |
GTK_STATE_FLAG_ACTIVE | Widget is active |
GTK_STATE_FLAG_PRELIGHT | Widget has a mouse pointer over it |
GTK_STATE_FLAG_SELECTED | Widget is selected |
GTK_STATE_FLAG_INSENSITIVE | Widget is insensitive |
GTK_STATE_FLAG_INCONSISTENT | Widget is inconsistent |
GTK_STATE_FLAG_FOCUSED | Widget has the keyboard focus |
GTK_STATE_FLAG_BACKDROP | Widget is in a background toplevel window |
GTK_STATE_FLAG_DIR_LTR | Widget is in left-to-right text direction |
GTK_STATE_FLAG_DIR_RTL | Widget is in right-to-left text direction |
GTK_STATE_FLAG_LINK | Widget is a link |
GTK_STATE_FLAG_VISITED | The location the widget points to has already been visited |
GTK_STATE_FLAG_CHECKED | Widget is checked |
GTK_STATE_FLAG_DROP_ACTIVE | Widget is highlighted as a drop target for DND |
GTK_STATE_FLAG_FOCUS_VISIBLE | Widget has the visible focus |
GTK_STATE_FLAG_FOCUS_WITHIN | Widget contains the keyboard focus |

### enum GtkSortType

Determines the direction of a sort.

#### Members

GTK_SORT_ASCENDING | Sorting is in ascending order. |
GTK_SORT_DESCENDING | Sorting is in descending order. |

### enum GtkIconSize

Built-in icon sizes.

Icon sizes default to being inherited. Where they cannot be inherited, text size is the default.

All widgets which use GtkIconSize set the normal-icons or large-icons style classes correspondingly, and let themes determine the actual size to be used with the -gtk-icon-size CSS property.

#### Members

GTK_ICON_SIZE_INHERIT | Keep the size of the parent element |
GTK_ICON_SIZE_NORMAL | Size similar to text size |
GTK_ICON_SIZE_LARGE | Large size, for example in an icon view |